﻿/*
 Copyright (C) 2010  Derek Sleman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Text.RegularExpressions;

namespace WhiteSpace
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.richTextBox1, "Paste your text in this box here");
        }

        private void removeBtn_Click(object sender, EventArgs e)
        {
            try
            {
                if (RemAllwhtSpc.Checked)
                {
                    richTextBox2.Text = Regex.Replace(richTextBox1.Text, @"\s", "");
                }

                if (RemAllpunct.Checked)
                {
                    richTextBox2.Text = Regex.Replace(richTextBox1.Text, @"\W", " ");
                }

                if (keepAsingleSpace.Checked)
                {
                    richTextBox2.Text = Regex.Replace(richTextBox1.Text, @"\s", " ");
                }

                if (lineBreaks.Checked)
                {
                    richTextBox2.Text = Regex.Replace(richTextBox1.Text, @"\r\n(\w+)", " ");
                }

                if (RemAllnumbers.Checked)
                {
                    richTextBox2.Text = Regex.Replace(richTextBox1.Text, @"\d", " ");
                }

                if (allCaps.Checked)
                {
                    string lower = richTextBox1.Text;
                    richTextBox2.Text = lower.ToUpper();
                }

                if (remTabs.Checked)
                {
                    richTextBox2.Text = Regex.Replace(richTextBox1.Text, @"\t", " ");
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        private void richTextBox1_TextChanged(object sender, EventArgs e)
        {
            
        }

        private void undoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (richTextBox1.SelectedText.Length > 0)
            {
                richTextBox1.Copy();
            }
            
            if (richTextBox2.SelectedText.Length > 0)
            {
                richTextBox2.Copy();
            }
        }

        private void pasteToolStripMenuItem_Click(object sender, EventArgs e)
        {
        }

        private void lineBreaks_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void removeNum_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void remTabs_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void optionsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form2 f2 = new Form2();

            f2.Show();
        }
    }
}
